## ktikz 0.12+ds1

=== CMakeLists.txt ===
project(ktikz)
cmake_minimum_required(VERSION 2.8.12)

set(KTIKZ_VERSION "0.12")

add_definitions(-DORGNAME=\"Florian_Hackenberger\" -DAPPNAME=\"ktikz\")
add_definitions(-DAPPVERSION=\"${KTIKZ_VERSION}\")
add_definitions(-DKTIKZ_USE_DESKTOP_ICONS)
add_definitions(-DKTIKZ_USE_KDE)
add_definitions(-DKTIKZ_TIKZ_DOCUMENTATION_DEFAULT=\"/usr/share/doc/texmf/pgf/pgfmanual.pdf.gz\")

find_package(ECM 1.1.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR})
include(ECMSetupVersion)
include(ECMAddAppIcon)
include(ECMInstallIcons)

find_package(Qt5 5.2 CONFIG REQUIRED Core Gui Widgets Xml PrintSupport LinguistTools )

find_package(KF5 5.0 REQUIRED DocTools XmlGui TextEditor Parts IconThemes )

include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(FeatureSummary)
# include(KDEFrameworkCompilerSettings)

find_package(Poppler "0.12.1" REQUIRED Qt5 Core)
set_package_properties("Poppler-Qt5" PROPERTIES
        DESCRIPTION "A PDF rendering library"
        URL "http://poppler.freedesktop.org"
        TYPE REQUIRED
        PURPOSE "Support for PDF files in KTikZ.")
include_directories( ${Poppler_INCLUDE_DIRS} )

add_subdirectory(app)
add_subdirectory(part)

add_subdirectory(doc)
add_subdirectory(translations)
add_subdirectory(data)

# Remove directories
add_custom_target(uninstalldirs)
# add_dependencies(uninstalldirs uninstalldirs_app uninstalldirs_part uninstalldirs_doc)
add_dependencies(uninstalldirs uninstalldirs_app uninstalldirs_doc)

# Make packages
include(KtikzCPackOptions.cmake)
include(CPack)
add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

=== app/CMakeLists.txt ===
include(../KtikzConfig.cmake)
add_definitions("-DKTIKZ_TRANSLATIONS_INSTALL_DIR=\"${KTIKZ_TRANSLATIONS_INSTALL_DIR}\"")
add_definitions("-DKTIKZ_TEMPLATES_INSTALL_DIR=\"${KTIKZ_TEMPLATES_INSTALL_DIR}\"")

include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}/../common
	${CMAKE_CURRENT_SOURCE_DIR}/../common/utils
)

set(ktikz_SRCS
	configappearancewidget.cpp
	configeditorwidget.cpp
	configgeneralwidget.cpp
	configpreviewwidget.cpp
	configdialog.cpp
	editgotolinewidget.cpp
	editindentwidget.cpp
	editreplacewidget.cpp
	editreplacecurrentwidget.cpp
	ktikzapplication.cpp
	linenumberwidget.cpp
	loghighlighter.cpp
	logtextedit.cpp
	main.cpp
	mainwindow.cpp
	tikzcommandinserter.cpp
	tikzcommandwidget.cpp
	tikzdocumentationcontroller.cpp
	tikzeditor.cpp
	tikzeditorhighlighter.cpp
	tikzeditorview.cpp
	usercommandeditdialog.cpp
	usercommandinserter.cpp
	../common/templatewidget.cpp
	../common/tikzpreview.cpp
	../common/tikzpreviewmessagewidget.cpp
	../common/tikzpreviewrenderer.cpp
	../common/tikzpreviewcontroller.cpp
	../common/tikzpreviewgenerator.cpp
	../common/utils/action.cpp
	../common/utils/colorbutton.cpp
	../common/utils/combobox.cpp
	../common/utils/file.cpp
	../common/utils/filedialog.cpp
	../common/utils/globallocale.cpp
	../common/utils/lineedit.cpp
	../common/utils/messagebox.cpp
	../common/utils/pagedialog.cpp
	../common/utils/printpreviewdialog.cpp
	../common/utils/recentfilesaction.cpp
	../common/utils/selectaction.cpp
	../common/utils/standardaction.cpp
	../common/utils/tempdir.cpp
	../common/utils/toggleaction.cpp
	../common/utils/toolbar.cpp
	../common/utils/url.cpp
	../common/utils/zoomaction.cpp
)

# dirty hack: use ki18n_wrap_ui to let Qt translate the .ui files instead of KDE (to have less duplication in the translation effort)
ki18n_wrap_ui(ktikz_UI_FILES
	configappearancewidget.ui
	configeditorwidget.ui
	configgeneralwidget.ui
	configpreviewwidget.ui
	editgotolinewidget.ui
	editindentwidget.ui
	editreplacewidget.ui
	usercommandeditdialog.ui
	../common/templatewidget.ui
)
kconfig_add_kcfg_files(ktikz_SRCS ../common/settings.kcfgc)
qt5_add_resources(ktikz_SRCS ktikz.qrc)
qt5_add_resources(ktikz_SRCS qtikz.qrc)

# kde4_add_app_icon(ktikz_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-apps-ktikz.png") # add icons for win32 and mac; this command assumes that the first arg is of the form <appname>_SRCS

# dirty hack: use ki18n_wrap_ui to let Qt translate the .ui files instead of KDE
add_executable(ktikz ${ktikz_SRCS} ${ktikz_UI_FILES})
target_link_libraries(ktikz
    KF5::XmlGui
    KF5::TextEditor
    KF5::IconThemes
    Qt5::PrintSupport
    ${Poppler_LIBRARIES} )

install(TARGETS ktikz DESTINATION ${KDE_INSTALL_BINDIR})
install(FILES ktikzui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/ktikz)
install(FILES ../common/ktikz.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

add_subdirectory(icons)

add_custom_target(uninstalldirs_app)
add_custom_command(TARGET uninstalldirs_app
	POST_BUILD
	COMMAND ${CMAKE_COMMAND} -E remove_directory ${KTIKZ_TRANSLATIONS_INSTALL_DIR}
	COMMAND ${CMAKE_COMMAND} -E remove_directory ${KTIKZ_TEMPLATES_INSTALL_DIR}
	COMMAND ${CMAKE_COMMAND} -E remove_directory ${KTIKZ_DATA_INSTALL_DIR}
	COMMAND ${CMAKE_COMMAND} -E remove_directory ${KXMLGUI_INSTALL_DIR}/ktikz
	COMMENT "Removing directories ${KTIKZ_TRANSLATIONS_INSTALL_DIR} ${KTIKZ_TEMPLATES_INSTALL_DIR} ${KTIKZ_DATA_INSTALL_DIR} ${KXMLGUI_INSTALL_DIR}/ktikz"
	VERBATIM)

=== translations/es/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(es ALL INSTALL_DESTINATION ${KDE_INSTALL_LOCALEDIR} PO_FILES ${_po_files})

=== debian/changelog ===
ktikz (0.12+ds1-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:17:35 +0100

ktikz (0.12+ds1-3) unstable; urgency=medium

  * Team upload.
  * Do not install the upstream TODO file as documentation for ktikz,
    as it is of no value for users.
  * Install the examples for ktikz using dh_installexamples, not
    dh_installdocs.
  * Stop installing the xpm icons also for qtikz, as qtikz.desktop file
    does not use them (and the menu file was removed long ago).
  * Remove qtikz.dirs, as /usr/share/mime/packages/ is created automatically
    on install.
  * Remove debian/source/include-binaries, as it is obsolete.
  * Bump Standards-Version to 4.2.1, no changes required.
  * Update Vcs-* fields.
  * Backport upstream commit bab16b2864888586c5d9044986e4891917addd08 to
    install the appdata file; patch upstream_Install-appdata-file-1.patch
    - remove ktikz.install, no more needed now
  * Backport upstream commit 5018777fb62dd457f37aa8b25af7e1d0e00d26e3 to add
    the proper placeholders in Exec keys of desktop files; patch
    upstream_Add-F-placeholder-in-desktop-files.patch
    - remove patch desktop-mime.patch, which is replaced by this upstream
      change
  * Remove empty line at the end of changelog.
  * Backport upstream commit 3b137b2a4f12f74a6bc68f3a6ac093994cc418a0 to port
    the documentation to DocBook 4.5; patch
    upstream_Port-docbook-documentation.patch
    - remove the libkf5kdelibs4support-dev build dependency, no more needed now

 -- Pino Toscano <pino@debian.org>  Thu, 11 Oct 2018 07:25:09 +0200

ktikz (0.12+ds1-2) unstable; urgency=medium

  * Team upload.
  * Use the dh_auto_* commands to build the qmake version, specifying the build
    directory, and the build system: this makes sure qmake is invoked with all
    the needed options (like the envvars with the build flags), and that it
    builds in a parallel way
    - remove patches hardening-qtikz.patch, and qmake-noopt.patch, as they are
      no more needed now
  * Properly use the kf5 dh addon (instead of the kde one, for kdelibs 4.x)
    for the KF5 build.
  * Install the KF5 build directly in the ktikz package dir, so there is no
    need to move all the files from debian/tmp.
  * Link in as-needed mode.
  * Stop installing the xpm icons for ktikz, as it has PNG icons in the hicolor
    icon theme.

 -- Pino Toscano <pino@debian.org>  Sat, 07 Apr 2018 09:12:55 +0200

=== debian/control ===
Source: ktikz
Section: graphics
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders:
 Stuart Prescott <stuart@debian.org>,
 Florian Hackenberger <florian@hackenberger.at>
Build-Depends:
 cmake,
 debhelper (>= 11),
 extra-cmake-modules,
 libkf5doctools-dev,
 libkf5iconthemes-dev,
 libkf5parts-dev,
 libkf5texteditor-dev,
 libkf5xmlgui-dev,
 libpoppler-qt5-dev,
 libqt5sql5-sqlite,
 pkg-config,
 pkg-kde-tools,
 qtbase5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 xsltproc
Homepage: https://github.com/fhackenberger/ktikz
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/ktikz.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/ktikz

Package: ktikz
Architecture: any
Depends:
 preview-latex-style,
 texlive-pictures,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 khelpcenter,
 poppler-utils
Description: editor for the TikZ drawing language - KDE version
 KtikZ is a small application to assist in the creation of diagrams and
 drawings using the TikZ macros from the LaTeX package "pgf". It consists of
 a text editor pane in which the TikZ code for the drawing is edited and a
 preview pane showing the drawing as rendered by LaTeX. The preview pane can be
 updated in real-time. Common drawing tools, options and styles are available
 from the menus to assist the coding process.
 .
 This package contains the KDE version of the program.
 .
 TikZ is a user-friendly syntax layer for the PGF (portable graphics format)
 TeX macro package. Pictures can be created within a LaTeX document and
 included in the output using the most important TeX backend drivers including
 pdftex and dvips.

Package: qtikz
Architecture: any
Depends:
 preview-latex-style,
 texlive-pictures,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 poppler-utils,
 qttools5-dev-tools
Description: editor for the TikZ drawing language - Qt version
 QtikZ is a small application to assist in the creation of diagrams and
 drawings using the TikZ macros from the LaTeX package "pgf". It consists of
 a text editor pane in which the TikZ code for the drawing is edited and a
 preview pane showing the drawing as rendered by LaTeX. The preview pane can be
 updated in real-time. Common drawing tools, options and styles are available
 from the menus to assist the coding process.
 .
 This package contains the Qt version of the program.
 .
 TikZ is a user-friendly syntax layer for the PGF (portable graphics format)
 TeX macro package. Pictures can be created within a LaTeX document and
 included in the output using the most important TeX backend drivers including
 pdftex and dvips.

=== debian/rules ===
#!/usr/bin/make -f

# Enable additional hardening options.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export QT_SELECT=5

%:
	dh $@ --with=kf5

QTBUILD=buildqt

override_dh_auto_clean:
	# Clean up the KDE build (cmake)
	dh_auto_clean -Skf5
	# Clean up the Qt build (qmake)
	dh_auto_clean -B$(QTBUILD) -Sqmake

override_dh_auto_configure:
	# configure the KDE version (cmake)
	dh_auto_configure -Skf5
	# configure the Qt version (qmake)
	dh_auto_configure -B$(QTBUILD) -Sqmake -- ../qtikz.pro

override_dh_auto_build:
	# build the KDE version (cmake)
	dh_auto_build -Skf5
	# build the Qt version (qmake)
	dh_auto_build -B$(QTBUILD) -Sqmake

override_dh_auto_install:
	# install the KDE version (cmake)
	dh_auto_install -Skf5 --destdir=debian/ktikz
	# install the Qt version (qmake)
	dh_auto_install -B$(QTBUILD) -Sqmake --destdir=debian/qtikz
	rm $(CURDIR)/debian/qtikz/usr/share/qtikz/LICENSE.GPL2

.PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_build override_dh_auto_install

## ktikz 0.12.1%2Bds1%2Brb2

=== translations/cs/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(cs ALL INSTALL_DESTINATION ${KDE_INSTALL_LOCALEDIR} PO_FILES ${_po_files})

## ktikz 0.12.1+ds1+rb2

=== app/icons/CMakeLists.txt ===
# this installs the icons with a file name of the form <type><size>-<group>-<name>.<extension>, e.g. hi22-apps-ktikz.png
ecm_install_icons(ICONS
hi16-apps-ktikz.png
hi22-apps-ktikz.png
hi32-apps-ktikz.png
hi48-apps-ktikz.png
hi64-apps-ktikz.png
hi128-apps-ktikz.png
hisc-apps-ktikz.svgz
hisc-apps-ktikz.svg
DESTINATION ${KDE_INSTALL_ICONDIR}
THEME hicolor )

=== debian/changelog ===
ktikz (0.12.1+ds1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Thu, 28 Jan 2021 14:20:18 +0800

## ktikz 0.13.1%2Bds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,10 +3,15 @@
 
 set(KTIKZ_VERSION "0.12")
 
+set(KTIKZ_USE_KTEXTEDITOR TRUE CACHE BOOL "Use KTextEditor framework" )
+
 add_definitions(-DORGNAME=\"Florian_Hackenberger\" -DAPPNAME=\"ktikz\")
 add_definitions(-DAPPVERSION=\"${KTIKZ_VERSION}\")
 add_definitions(-DKTIKZ_USE_DESKTOP_ICONS)
 add_definitions(-DKTIKZ_USE_KDE)
+if( KTIKZ_USE_KTEXTEDITOR )
+  add_definitions(-DKTIKZ_USE_KTEXTEDITOR)
+endif()
 add_definitions(-DKTIKZ_TIKZ_DOCUMENTATION_DEFAULT=\"/usr/share/doc/texmf/pgf/pgfmanual.pdf.gz\")
 
 find_package(ECM 1.1.0 REQUIRED NO_MODULE)
@@ -20,10 +25,26 @@
 find_package(KF5 5.0 REQUIRED DocTools XmlGui TextEditor Parts IconThemes )
 
 include(KDEInstallDirs)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 include(FeatureSummary)
 # include(KDEFrameworkCompilerSettings)
+
+
+if (CMAKE_BUILD_TYPE STREQUAL "Debug")
+  add_definitions(-DQT_STRICT_ITERATORS)
+endif()
+
+if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")
+endif()
+
+if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
+   if (NOT CMAKE_CXX_COMPILER_VERSION VERSION_LESS "5.0.0")
+      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -Wlogical-op" )
+   endif()
+endif()
+
 
 find_package(Poppler "0.12.1" REQUIRED Qt5 Core)
 set_package_properties("Poppler-Qt5" PROPERTIES
@@ -42,8 +63,8 @@
 
 # Remove directories
 add_custom_target(uninstalldirs)
-# add_dependencies(uninstalldirs uninstalldirs_app uninstalldirs_part uninstalldirs_doc)
-add_dependencies(uninstalldirs uninstalldirs_app uninstalldirs_doc)
+add_dependencies(uninstalldirs uninstalldirs_app uninstalldirs_part uninstalldirs_doc)
+# add_dependencies(uninstalldirs uninstalldirs_app uninstalldirs_doc)
 
 # Make packages
 include(KtikzCPackOptions.cmake)

=== debian/changelog ===
ktikz (0.13.1+ds1-1) unstable; urgency=medium

  * New upstream release.
    - drop all patches as they are applied upstream

 -- Stuart Prescott <stuart@debian.org>  Sun, 20 Dec 2020 14:42:00 +1100

ktikz (0.12+ds1-4) unstable; urgency=medium

  * Add patch to change pkg-config use and permit cross-building; thanks to
    Helmut Grohne for the patch (Closes: #915165).
  * Cherry-pick upstream patch to fix FTBFS with Qt 5.15 (Closes: #975154).
  * Add Rules-Requires-Root: no.
  * Move to debhelper-compat (= 13).
  * Bump S-V to 4.5.1, no changes required.

 -- Stuart Prescott <stuart@debian.org>  Thu, 19 Nov 2020 21:26:56 +1100

## ktikz 0.13.1+ds1

=== app/CMakeLists.txt ===
--- 
+++ 
@@ -57,6 +57,13 @@
 	../common/utils/zoomaction.cpp
 )
 
+if( KTIKZ_USE_KTEXTEDITOR )
+  list(APPEND ktikz_SRCS
+    tikzktexteditorview.cpp
+    tikzktexteditorcompletion.cpp
+  )
+endif()
+
 # dirty hack: use ki18n_wrap_ui to let Qt translate the .ui files instead of KDE (to have less duplication in the translation effort)
 ki18n_wrap_ui(ktikz_UI_FILES
 	configappearancewidget.ui
@@ -73,7 +80,8 @@
 qt5_add_resources(ktikz_SRCS ktikz.qrc)
 qt5_add_resources(ktikz_SRCS qtikz.qrc)
 
-# kde4_add_app_icon(ktikz_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-apps-ktikz.png") # add icons for win32 and mac; this command assumes that the first arg is of the form <appname>_SRCS
+file(GLOB icons_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-ktikz.png")
+ecm_add_app_icon(ktikz_SRCS ICONS ${icons_SRCS}) # add icons for win32 and mac; this command assumes that the first arg is of the form <appname>_SRCS
 
 # dirty hack: use ki18n_wrap_ui to let Qt translate the .ui files instead of KDE
 add_executable(ktikz ${ktikz_SRCS} ${ktikz_UI_FILES})
@@ -84,7 +92,14 @@
     Qt5::PrintSupport
     ${Poppler_LIBRARIES} )
 
+if( KTIKZ_USE_KTEXTEDITOR )
+  target_link_libraries(ktikz KF5::TextEditor)
+endif()
+
 install(TARGETS ktikz DESTINATION ${KDE_INSTALL_BINDIR})
+if( KTIKZ_USE_KTEXTEDITOR )
+  install(FILES ktikzui_frameworks.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/ktikz)
+endif()
 install(FILES ktikzui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/ktikz)
 install(FILES ../common/ktikz.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== translations/CMakeLists.txt ===
include(../KtikzConfig.cmake)

### Install qm files

file(GLOB ktikz_TS_FILES */qtikz_*.ts)
qt5_add_translation(ktikz_QM_FILES ${ktikz_TS_FILES})
add_custom_target(translations ALL DEPENDS ${ktikz_QM_FILES})
install(FILES ${ktikz_QM_FILES} DESTINATION ${KTIKZ_TRANSLATIONS_INSTALL_DIR})

### Install po files

find_package(Gettext)
if(GETTEXT_FOUND)
	add_subdirectory(cs)
	add_subdirectory(de)
	add_subdirectory(es)
	add_subdirectory(fr)
else(GETTEXT_FOUND)
	message(
"------
                 NOTE: Gettext not found. Translations will *not* be installed.
------")
endif(GETTEXT_FOUND)

### Generate ts files (only to be used when ../app/tikzcommands.xml has changed)

set(TIKZCOMMANDS_TR_H tikzcommands_tr.h)
set(XMLPATTERNS xmlpatterns)
set(LUPDATE lupdate)

add_custom_target(ts)
find_program(SED_EXE NAMES sed)
if(SED_EXE)
	add_custom_command(TARGET ts
		COMMAND ${XMLPATTERNS} -output ${TIKZCOMMANDS_TR_H}_tmp ${CMAKE_CURRENT_SOURCE_DIR}/../app/extract-tikzcommands.xq
		COMMAND ${SED_EXE} -e "s/amp\\;//g" ${TIKZCOMMANDS_TR_H}_tmp > ${TIKZCOMMANDS_TR_H}
		COMMAND ${LUPDATE} ${CMAKE_CURRENT_SOURCE_DIR}/../app ${CMAKE_CURRENT_SOURCE_DIR}/../common ${CMAKE_CURRENT_SOURCE_DIR}/../common/utils ${CMAKE_CURRENT_BINARY_DIR}/${TIKZCOMMANDS_TR_H} -ts ${ktikz_TS_FILES}
		COMMAND ${CMAKE_COMMAND} -E remove ${CMAKE_CURRENT_BINARY_DIR}/${TIKZCOMMANDS_TR_H}_tmp
		COMMAND ${CMAKE_COMMAND} -E remove ${CMAKE_CURRENT_BINARY_DIR}/${TIKZCOMMANDS_TR_H}
		VERBATIM
	)
else(SED_EXE)
	message(STATUS "Unable to find sed. Please install it if you want to use the \"make ts\" target.")
endif(SED_EXE)

=== translations/fr/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(fr ALL INSTALL_DESTINATION ${KDE_INSTALL_LOCALEDIR} PO_FILES ${_po_files})

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Florian Hackenberger <florian@hackenberger.at>
 Build-Depends:
  cmake,
- debhelper (>= 11),
+ debhelper-compat (= 13),
  extra-cmake-modules,
  libkf5doctools-dev,
  libkf5iconthemes-dev,
@@ -23,9 +23,10 @@
  qttools5-dev-tools,
  xsltproc
 Homepage: https://github.com/fhackenberger/ktikz
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/ktikz.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/ktikz
+Rules-Requires-Root: no
 
 Package: ktikz
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 # Enable additional hardening options.
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 export QT_SELECT=5

## ktikz 0.13.2+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(ktikz)
 cmake_minimum_required(VERSION 2.8.12)
 
-set(KTIKZ_VERSION "0.12")
+set(KTIKZ_VERSION "0.13.2")
 
 set(KTIKZ_USE_KTEXTEDITOR TRUE CACHE BOOL "Use KTextEditor framework" )

=== data/CMakeLists.txt ===
include(../KtikzConfig.cmake)

### Install desktop file

install(FILES ktikz.desktop DESTINATION ${KDE_INSTALL_APPDIR})

### Install text/x-pgf mimetype

find_package(SharedMimeInfo)
install(FILES qtikz.xml DESTINATION ${KDE_INSTALL_MIMEDIR} RENAME ktikz.xml)
update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})

### Install examples

install(FILES examples/template_example.pgs
	examples/template_example2.pgs
	examples/beamer-example-template.pgs
	DESTINATION ${KTIKZ_TEMPLATES_INSTALL_DIR})

### Install appdata file

install(FILES ktikz.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== doc/CMakeLists.txt ===
### Install KDE Help Center documentation

kdoctools_create_handbook(index.docbook
	INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en
	SUBDIR ktikz)

### Install man files

install(FILES ktikz.1 DESTINATION ${KDE_INSTALL_MANDIR}/man1)

### Remove installation directories

add_custom_target(uninstalldirs_doc)
add_custom_command(TARGET uninstalldirs_doc
	POST_BUILD
	COMMAND ${CMAKE_COMMAND} -E remove ${KDE_INSTALL_DOCBUNDLEDIR}/en/ktikz/common
	COMMAND ${CMAKE_COMMAND} -E remove_directory ${KDE_INSTALL_DOCBUNDLEDIR}/en/ktikz
	COMMENT "Removing directory ${KDE_INSTALL_DOCBUNDLEDIR}/en/ktikz"
	VERBATIM)

=== part/CMakeLists.txt ===
include(../KtikzConfig.cmake)
add_definitions("-DKTIKZ_TRANSLATIONS_INSTALL_DIR=\"${KTIKZ_TRANSLATIONS_INSTALL_DIR}\"")

set(KTIKZPART_DATA_INSTALL_DIR ${KDE_INSTALL_DATADIR}/ktikzpart)
#add_definitions(-DORGNAME=\\\"Florian_Hackenberger\\\" -DAPPNAME=\\\"ktikz\\\")
add_definitions(-DKTIKZ_KPART)

include_directories(
	${CMAKE_CURRENT_SOURCE_DIR}/../common
)

set(ktikzpart_SRCS
	browserextension.cpp
	configdialog.cpp
	configgeneralwidget.cpp
	part.cpp
	../common/templatewidget.cpp
	../common/tikzpreview.cpp
	../common/tikzpreviewmessagewidget.cpp
	../common/tikzpreviewrenderer.cpp
	../common/tikzpreviewcontroller.cpp
	../common/tikzpreviewgenerator.cpp
	../common/utils/action.cpp
	../common/utils/combobox.cpp
	../common/utils/file.cpp
	../common/utils/filedialog.cpp
	../common/utils/globallocale.cpp
	../common/utils/lineedit.cpp
	../common/utils/messagebox.cpp
	../common/utils/printpreviewdialog.cpp
	../common/utils/recentfilesaction.cpp
	../common/utils/selectaction.cpp
	../common/utils/standardaction.cpp
	../common/utils/tempdir.cpp
	../common/utils/toggleaction.cpp
	../common/utils/toolbar.cpp
	../common/utils/url.cpp
	../common/utils/zoomaction.cpp
)

ki18n_wrap_ui(ktikzpart_SRCS
	configgeneralwidget.ui
	../common/templatewidget.ui
)

kconfig_add_kcfg_files(ktikzpart_SRCS ../common/settings.kcfgc)

add_library(ktikzpart MODULE ${ktikzpart_SRCS})

target_link_libraries(ktikzpart
  KF5::Parts
  KF5::IconThemes
  KF5::CoreAddons
  KF5::KIOCore
  KF5::KIOFileWidgets
  KF5::KIOWidgets
  KF5::KIONTLM
  Qt5::PrintSupport
  ${Poppler_LIBRARIES}
)


install(TARGETS ktikzpart DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES ktikzpart.rc DESTINATION ${KTIKZPART_DATA_INSTALL_DIR})
install(FILES ktikzpart.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

add_custom_target(uninstalldirs_part)
add_custom_command(TARGET uninstalldirs_part
	POST_BUILD
	COMMAND ${CMAKE_COMMAND} -E remove_directory ${KTIKZPART_DATA_INSTALL_DIR}
	COMMENT "Removing directory ${KTIKZPART_DATA_INSTALL_DIR}"
	VERBATIM)

=== app/icons/CMakeLists.txt ===
# this installs the icons with a file name of the form <size>-<group>-<name>.<extension>, e.g. hi22-apps-ktikz.png
ecm_install_icons(ICONS
16-apps-ktikz.png
22-apps-ktikz.png
32-apps-ktikz.png
48-apps-ktikz.png
64-apps-ktikz.png
128-apps-ktikz.png
sc-apps-ktikz.svgz
sc-apps-ktikz.svg
DESTINATION ${KDE_INSTALL_ICONDIR}
THEME hicolor )

=== translations/de/CMakeLists.txt ===
file(GLOB _po_files *.po)
gettext_process_po_files(de ALL INSTALL_DESTINATION ${KDE_INSTALL_LOCALEDIR} PO_FILES ${_po_files})

=== debian/changelog ===
ktikz (0.13.2+ds1-2) unstable; urgency=medium

  * Fix FTBFS with CMake 4 (Closes: #1113090).
  * Update Standards-Version to 4.7.2 (no changes required).
  * Add lintian overrides to reduce noise.

 -- Stuart Prescott <stuart@debian.org>  Sat, 20 Sep 2025 14:00:05 +1000

ktikz (0.13.2+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Fix day-of-week for changelog entry 0.10~svn112-1.
  * Update standards version to 4.6.0, no changes needed.

 -- Stuart Prescott <stuart@debian.org>  Mon, 18 Oct 2021 12:55:53 +1100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  qttools5-dev-tools,
  xsltproc
 Homepage: https://github.com/fhackenberger/ktikz
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/ktikz.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/ktikz
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 override_dh_auto_configure:
 	# configure the KDE version (cmake)
-	dh_auto_configure -Skf5
+	dh_auto_configure -Skf5 -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5
 	# configure the Qt version (qmake)
 	dh_auto_configure -B$(QTBUILD) -Sqmake -- ../qtikz.pro

=== debian/watch ===
version=4

# Track upstream tags
opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ktikz-$1\.tar\.gz/,dversionmangle=s/.ds\d//,repacksuffix=+ds1" \
 https://github.com/fhackenberger/ktikz/tags .*/v?(\d\S*)\.tar\.gz


# Track upstream commits as being potentially new versions

#opts="uversionmangle=s/.*version=(\d+\.\d+).date=(\d{4})-(\d\d)-(\d\d)T.*/$1~git$2$3$4/, \
#    filenamemangle=s/.*version=(\d+\.\d+).date=(\d{4})-(\d\d)-(\d\d)T.*/$1~git$2$3$4.tar.gz/" \
#https://qa.debian.org/cgi-bin/fakeupstream.cgi?#file=CMakeLists.txt;type=cmake;upstream=github_commits_package_json/fhackenberger/ktikz  \
#    .*/archive/(.*\.tar\.gz?.*)
